#ifndef TURNOUT_H
#define TURNOUT_H

#include "item.h"
#include "../microcontroller.h"

class Turnout : public Item
{
    uint8_t subaddress_;
    uint8_t turnoutId_;
public:
    static Microcontroller *micro;

    explicit Turnout(uint8_t id = 0, uint8_t address = 0, uint8_t subaddress = 0);
    virtual void setValue(uint8_t value);
    uint8_t getTurnoutId(){return turnoutId_;}
};

#endif // TURNOUT_H
